API ReferenceVerification
Public certificate verification
POST
/api/v1/public/verifyPublic verification by public code, certificate ID, canonical SHA-256, or anchor transaction hash. When several identifiers are provided they must point to the same certificate.
Query Parameters
code?string
Public verification code
certificate_id?string
Certificate UUID
canonical_hash?string
Canonical SHA-256
tx_hash?string
Anchor transaction hash
src?string
Entry mode source; qr when scanned from the certificate QR code
Request Body
application/json
Verification identifiers
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/public/verify" \ -H "Content-Type: application/json" \ -d '{}'{
"result": {
"anchor_chain_id": "string",
"anchor_tx_hash": "string",
"anchored": true,
"canonical_hash": "string",
"code": "4A7F2C90AB18DE55",
"issued_at": "string",
"issuer_entity": "Carrefour",
"revoked": true,
"revoked_at": "string",
"serial": "SN-4F49010F",
"status": "VALID_NO_ANCHOR"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "string",
"request_id": "string",
"trace_id": "string"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "string",
"request_id": "string",
"trace_id": "string"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "string",
"request_id": "string",
"trace_id": "string"
}
}